[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.DefaultHandlerStr

Default handler for string messages.

## Declaration

Source position: objpash.inc line 236

`public procedure TObject.DefaultHandlerStr(`
`var message`
`); virtual;`

## Description

DefaultHandlerStr is called for string messages which have no handler associated with them in the string message handler table. The implementation of DefaultHandlerStr in TObject does nothing and must be overridden by descendent classes to provide specific message handling behaviour.

## See also

DispatchStr |  | Dispatch a string message.
Dispatch |  | Dispatch an integer message
DefaultHandler |  | Default handler for integer message handlers.